# Testprogramm Board BOB-HAT-V6                      Didi Lamken 6.1.2021
progname = "td3-HX711"

"""    import                                                 """
#from   machine import Pin,I2C
#import time
import sensors.hx711

from lib.config import Config
config = Config()

""" init                                                       """
print('this is program: ', progname)

if config.get_value('sensors', 'hx711', 'enabled'):
    hx711 = sensors.hx711.HX711(
        config.get_value('sensors', 'hx711', 'pin_dout'),
        config.get_value('sensors', 'hx711', 'pin_pdsck'))
    hx711.set_scale( config.get_value('sensors', 'hx711', 'calibration_factor'))
    hx711.set_offset(config.get_value('sensors', 'hx711', 'tare_offset'))
    print("HX711: initialization OK. ")
else:
    hx711 = None
    print("HX711: initialization failed. ")

print('tara  :', hx711.get_offset())
print('scale :', hx711.get_scale())

""" Messen                                                     """
countanf =  1
countmax = 10
for count in range(countanf, countmax+1):
    print("{:2d}/{:2d} ".format(count, countmax), end='')
    if hx711 is not None:
        times = 10
        hx711akt = hx711.get_value(times)
    #   hx711akt = round(hx711akt, 2)       # 3 decimal places
        hx711akt = "{:6.2f}".format(hx711akt)
        print('HX711: ', hx711akt, 'g' )
