# Testprogramm Board BOB-HAT-V6                      Didi Lamken 6.1.2021
progname = "td4-HX711"

"""    import                                                 """
import sensors.hx711

from lib.config import Config
config = Config()

""" init                                                       """
print('this is program: ', progname)

if config.get_value('sensors', 'hx711', 'enabled'):
    hx711 = sensors.hx711.HX711(
        config.get_value('sensors', 'hx711', 'pin_dout'),
        config.get_value('sensors', 'hx711', 'pin_pdsck'))
    hx711.set_scale( config.get_value('sensors', 'hx711', 'calibration_factor'))
    hx711.set_offset(config.get_value('sensors', 'hx711', 'tare_offset'))
    print("HX711: initialization OK. ")
else:
    hx711 = None
    print("HX711: initialization failed. ")

""" Messen                                                     """

if hx711 is not None:
    hx711akt = hx711.get_value(times=1)
    hx711akt = round(hx711akt, 3)       # 3 decimal places
    print('HX711: ', hx711akt, 'g' )

    print('offset')
    offset =  config.get_value('sensors', 'hx711', 'tare_offset')
    print('HX711: config    ', offset, 'offset')

    offset   = hx711.get_offset()
    hx711tmp = hx711.get_value(times=5)
    print('HX711: gemessen  ', offset, 'offset', hx711tmp, 'g')
    hx711.tare()

    offset   = hx711.get_offset()
    hx711tmp = hx711.get_value(times=5)
    print('HX711: gemessen  ', offset, 'offset', hx711tmp, 'g')
    hx711.tare()

#    offset   = hx711.get_offset()
#    hx711tmp = hx711.get_value(times=5)
#    print('HX711: gemessen  ', offset, 'offset', hx711tmp, 'g')
#    hx711.tare()
#
#    offset   = hx711.get_offset()
#    hx711tmp = hx711.get_value(times=5)
#    print('HX711: gemessen  ', offset, 'offset', hx711tmp, 'g')
#    hx711.tare()

    offset   = hx711.get_offset()
    hx711tmp = hx711.get_value(times=5)
    print('HX711: gemessen  ', offset, 'offset', hx711tmp, 'g')
    hx711.tare()

    offset   = hx711.get_offset()
    hx711tmp = hx711.get_value(times=5)
    print('HX711: gemessen  ', offset, 'offset', hx711tmp, 'g')
    hx711.tare()

    offset =  config.get_value('sensors', 'hx711', 'tare_offset')
    print('HX711: config alt', offset, 'offset')
    offset   = hx711.get_offset()
    config.set_value('sensors', 'hx711', 'tare_offset', offset )
    config.write()

    offset =  config.get_value('sensors', 'hx711', 'tare_offset')
    print('HX711: config neu', offset, 'offset')

    print(' ')
    tare = config.get_value('sensors', 'hx711', 'tare_offset')
    print('tara  alt :', tare)
    tare = offset
    print('tara  neu :', tare)
    config.set_value('sensors', 'hx711', 'tare_offset', tare)
    tare = config.get_value('sensors', 'hx711', 'tare_offset')
    print('tara  neu :', tare)
    config.write()

    hx711akt = hx711.get_value(times=1)
    hx711akt = round(hx711akt, 3)       # 3 decimal places
    print('HX711: ', hx711akt, 'g' )
