# Testprogramm Board BOB-HAT-V6                      Didi Lamken 6.1.2021
progname = "te3-DS18B20"

"""    import                                                 """
from   machine import Pin, I2C
import time
import binascii

from lib.onewire     import OneWire
from sensors.ds18x20 import DS18X20

from config import Config
config = Config()

""" init                                                       """
print('this is program: ', progname)

if config.get_value('sensors', 'ds18b20', 'enabled'):
    owPin  = config.get_value('sensors', 'ds18b20', 'pin')
    ow     = OneWire(Pin(owPin))
    ds18b20 = DS18X20(ow)
    roms    = ds18b20.scan()
    if not roms:
        print("No DS18B20 found. Is it connected properly?")
    else:
        print("Found ", len(roms), "DS18B20")
        ds18b20.convert_temp()
        # time.sleep_ms(750)
        ds_positions = {v: k for k, v in
             config.get_value('sensors', 'ds18b20', 'positions').items()}
        #print(ds_positions)
else:
    ds18b20 = None
#ds_positions = {v: k for k, v in
#             config.get_value('sensors', 'ds18b20', 'positions').items()}
#print(ds_positions)

""" Messen                                                     """
#print('this is program: ', progname)
countanf =  1
countmax = 10
for count in range(countanf, countmax+1):
    print("{:2d}/{:2d} ".format(count, countmax), end='')

    if ds18b20 is not None:
        roms = ds18b20.scan()
        if roms:
            ds18b20.convert_temp()
            time.sleep_ms(750)
#           print('   DS18B20: Measurement started ...')
        else:
            print("No DS18B20 found. Is it connected properly?")
        print('DS18B20:', end=' ')

        ds_data   = ds18b20.read_all(ds_positions)





#
