# Testprogramm Board BOB-HAT-V6                      Didi Lamken 11.1.2021
progname = "tf1-Wlan"

"""    import                                                """
import machine
import network
import uos

""" init                                                       """
print('this is program: ', progname)

from lib.config      import Config
from lib.wlanmanager import WLanManager
config  = Config.getInstance()
wlanman = WLanManager(config)
wlan    = network.WLAN(id=0)

rtc = machine.RTC()
import sensors.timing
timing = sensors.timing.TIMING()

print('Systeminfo :', uos.uname())

# Initial SSID scan and connect
no_ssids = wlanman.scan()
print("Wlan       : {} SSIDS found".format(no_ssids))
print("WLan       : is enabled, trying to connect.")
wlanman.enable_client()
print('Wlan IP-Adr:', wlan.ifconfig())
IPadr, Netmask, Gateway, DNS = wlan.ifconfig()
print('Wlan IP-Adr:', IPadr)
print('Wlan SSID  :', wlan.ssid())
print('Wlan host  :', wlan.hostname())
print('Wlan maxPow:', wlan.max_tx_power())
print('Wlan AP    :', wlan.joined_ap_info())

print('             Set NTP -> RTC')
Date, Time = timing.RTCget()
print('RTC alt    :', Date, Time, rtc.now())
rtcdatetime = timing.RTCsetNTP()
print('RTC NTP    : Set from NTP to UTC', rtcdatetime )
Date, Time = timing.RTCget()
print('RTC UTC    :', Date, Time, rtc.now())
Date, Time = timing.GetCEST()
print('RTC CEST   :', Date, Time)

""" Messen                                                     """
