from logger.beep import Beep
from logger.csv  import CSV_logger
from lib.config  import Config

config = Config()

try:
    beep = Beep(config)
except:
    beep = None

try:
    csv = CSV_logger()
except OSError:
    csv = None
    print("CSV Logger failed. Is a SD card inserted?")
