# Testprogramm für Platine BOB-Strom-V2    Didi Lamken 4.7.2020
progname = "ta2-I2Cscan"

"""   python imports                                            """
from machine import Pin, I2C

""" init """
#                              SDA    SCL
i2c = I2C(0, I2C.MASTER, pins=('P9', 'P10'))             # init I2C

""" Messen                                                    """
print('hier ist Programm ', progname)

print('Scan i2c bus...')
devices = i2c.scan()
if len(devices) == 0:
  print("No i2c device !")
else:
  print('i2c devices found:',len(devices))
  for device in devices:
    print("Decimal address: ",device," | Hexa address: ",hex(device), end=' ')
    if device ==  50 :  print("    MAX17043")
    if device ==  60 :  print("    OLED     Display")
    if device ==  64 :  print("    INA219-0 Strom")
    if device ==  65 :  print("    INA219-1 Strom")
    if device ==  87 :  print("    EEPROM")
    if device == 104 :  print("    DS3231   RTC")
    if device == 119 :  print("    BME280   Umwelt")
