# Testprogramm BOB-HAT-V6                       Didi Lamken 6.1.2021
progname = "tb1-BME280"

"""    import                                                 """
from   machine import Pin,I2C
import time
import sensors.bme280

""" init                                                       """
#                               SDA   SCL
i2c = I2C(0, I2C.MASTER, pins=('P9', 'P10'))            # init I2C

bme280 = sensors.bme280.BME280(address=0x77, i2c=i2c)   # init BME280

""" Messen                                                     """
print('hier ist Programm ', progname)
print(' ')

print('bme280.values : ',  bme280.values)

bme280val = bme280.read_compensated_data()              # auslesen BME280
print('bme280.read   : ',  bme280val)
bme280tmp = int(bme280val[0]*10)/10                     # 1 Stelle nach Komma
bme280pre = int(bme280val[1]/10)/10
bme280hum = int(bme280val[2]*10)/10
print('BME280        :  {} C  {} mbar  {} %'.format(bme280tmp, bme280pre, bme280hum))

bme280tmp = round(bme280val[0],2)            # 2 decimal places
bme280pre = round(bme280val[1]/100,1)
bme280hum = round(bme280val[2],2)
print('BME280        : ', bme280tmp, 'C', bme280pre, 'mbar', bme280hum, '%')
