# Testprogramm Board BOB-HAT-V6                      Didi Lamken 6.1.2021
progname = "tc1-SSD1306"

"""    import                                                 """
from   machine import Pin,I2C
import time
import sensors.ssd1306

from lib.config import Config
_config = Config()

""" init                                                       """
print('this is program: ', progname)

if _config.get_value('general','general', 'oled'):
    try:
        i2c = I2C(0, I2C.MASTER, pins=(
            _config.get_value('sensors','bme280', 'pin_sda'),
            _config.get_value('sensors','bme280', 'pin_scl')))
        oled = sensors.ssd1306.SSD1306_I2C(128, 64, i2c)    # OLED x, y, bus
        oled.contrast(250)
        print("OLED: initialization OK. ")
    except:
        oled = None
        print("OLED: initialization failed. Is it connected properly?")
else:
    oled = None

""" Messen                                                     """
if oled is not None:
    try:
        print('OLED: Text')
        oled.fill(0)                                       # alles aus
        oled.text("1234567890123456", 0,  0)               # Textausgabe
        oled.text("Zeile2          ", 0,  8)
        oled.text("Zeile3          ", 0, 16)
        oled.text("Zeile4          ", 0, 24)
        oled.text("Zeile5          ", 0, 32)
        oled.text("Zeile6          ", 0, 40)
        oled.text("Zeile7          ", 0, 48)
        oled.text("Zeile8          ", 0, 56)
        oled.show()                                         # anzeigen
        time.sleep(1)

        print('OLED: Draw')
        oled.fill(0)
        oled.pixel     ( 3,  4,          1)                # last param is the colour
        oled.hline     ( 2,  3,  25,     1)
        oled.vline     ( 5,  0,  15,     1)
        oled.line      ( 0,  0,  50, 25, 1)
        oled.rect      ( 5, 30,  80, 20, 1)
        oled.fill_rect (90, 30,  25, 25, 1)
        oled.text("Hello world!", 1, 56, 1)
        oled.show()
        time.sleep(1)

        print('OLED: Blink')
        oled.invert(1)
        oled.show()
        time.sleep(1)
        oled.invert(0)
        oled.show()
    except:
        print("OLED not working.")
