# Testprogramm Board BOB-HAT-V6                      Didi Lamken 6.1.2021
progname = "td2-HX711"

"""    import                                                 """
import sensors.hx711

from lib.config import Config
_config = Config()

""" init                                                       """
print('this is program: ', progname)

if _config.get_value('sensors', 'hx711', 'enabled'):
    hx711 = sensors.hx711.HX711(
        _config.get_value('sensors', 'hx711', 'pin_dout'),
        _config.get_value('sensors', 'hx711', 'pin_pdsck'))
    hx711.set_scale( _config.get_value('sensors', 'hx711', 'calibration_factor'))
    hx711.set_offset(_config.get_value('sensors', 'hx711', 'tare_offset'))
    print("HX711: initialization OK. ")
else:
    hx711 = None
    print("HX711: initialization failed. ")

""" Messen                                                     """

if hx711 is not None:
    hx711akt = hx711.get_value(times=1)
    hx711akt = round(hx711akt, 3)       # 3 decimal places
    print('HX711: ', hx711akt, 'g' )

    hx711.power_up()
    hx711akt = hx711.get_value(times=10)
    hx711akt = round(hx711akt, 3)       # 3 decimal places
    print('HX711: ', hx711akt, 'g' )
    hx711.power_down()
