# Testprogramm Board BOB-HAT-V6                      Didi Lamken 6.1.2021
progname = "td4-HX711"

"""    import                                                 """
import sensors.hx711

from lib.config import Config
config = Config()

""" init                                                       """
print('this is program: ', progname)

if config.get_value('sensors', 'hx711', 'enabled'):
    hx711 = sensors.hx711.HX711(
        config.get_value('sensors', 'hx711', 'pin_dout'),
        config.get_value('sensors', 'hx711', 'pin_pdsck'))
    hx711.set_scale( config.get_value('sensors', 'hx711', 'calibration_factor'))
    hx711.set_offset(config.get_value('sensors', 'hx711', 'tare_offset'))
    print("HX711: initialization OK. ")
else:
    hx711 = None
    print("HX711: initialization failed. ")

""" Messen                                                     """

if hx711 is not None:
    hx711akt = hx711.get_value(times=1)
    hx711akt = round(hx711akt, 3)       # 3 decimal places
    print('HX711: ', hx711akt, 'g' )

    print('       scale')
    scale = config.get_value('sensors', 'hx711', 'calibration_factor')
    print('HX711: config    ', scale, 'scale')
    scale    = hx711.get_scale()
    hx711tmp = hx711.get_value(times=5)
    print('HX711: gemessen  ', scale, 'scale   ', hx711tmp, 'g')

    scaleist    = hx711.get_scale()
    gewichtist  = hx711tmp
    gewichtsoll = 100.0
    scalesoll   = scaleist * gewichtist / gewichtsoll
    print('HX711: soll      ', scalesoll, 'scale  ', gewichtsoll, 'g')
    #print('HX711 Gewicht soll:                     ', gewichtsoll)
    hx711.set_scale(scalesoll)

    scaleist    = hx711.get_scale()
    gewichtist  = hx711tmp
    gewichtsoll = 100.0
    scalesoll   = scaleist * gewichtist / gewichtsoll
    print('HX711: soll      ', scalesoll, 'scale  ', gewichtsoll, 'g')
    #print('HX711 Gewicht soll:                     ', gewichtsoll)
    hx711.set_scale(scalesoll)

    scaleist    = hx711.get_scale()
    gewichtist  = hx711tmp
    gewichtsoll = 100.0
    scalesoll   = scaleist * gewichtist / gewichtsoll
    print('HX711: soll      ', scalesoll, 'scale  ', gewichtsoll, 'g')
    #print('HX711 Gewicht soll:                     ', gewichtsoll)
    hx711.set_scale(scalesoll)

    scale    = hx711.get_scale()
    hx711tmp = hx711.get_value(times=5)
    print('HX711: gemessen  ', scale, 'scale  ', hx711tmp, 'g')

    scale = config.get_value('sensors', 'hx711', 'calibration_factor')
    print('HX711: config alt', scale, 'scale')
    scale = hx711.get_scale()
    config.set_value('sensors', 'hx711', 'calibration_factor', scale )
    scale = config.get_value('sensors', 'hx711', 'calibration_factor')
    print('HX711: config neu', scale, 'scale')

    print(' ')
    scale = config.get_value('sensors', 'hx711', 'calibration_factor')
    print('scale  alt :', scale)
    scale = 393   # offset
    print('scale  neu :', scale)
    config.set_value('sensors', 'hx711', 'calibration_factor', scale)
    scale = config.get_value('sensors', 'hx711', 'calibration_factor')
    print('scale  neu :', scale)
    config.write()

    hx711akt = hx711.get_value(times=1)
    hx711akt = round(hx711akt, 3)       # 3 decimal places
    print('HX711: ', hx711akt, 'g' )
