# Testprogramm Board BOB-HAT-V6                      Didi Lamken 11.1.2021
progname = "tf3-Wlan"

"""    import                                                 """
import machine
import network
import uos

""" init                                                       """
print('this is program: ', progname)
host = 'WiPy2'


from lib.config      import Config
from lib.wlanmanager import WLanManager
config  = Config.getInstance()
wlanman = WLanManager(config)
wlan    = network.WLAN(id=0)

rtc = machine.RTC()
import sensors.timing
timing = sensors.timing.TIMING()

print("WLan       : is enabled, trying to connect.")
wlanman.enable_client()

IPadr, Netmask, Gateway, DNS = wlan.ifconfig()
print('Wlan IP-Adr:', IPadr)
print('Wlan SSID  :', wlan.ssid())
wlan.hostname(host)
print('Wlan host  :', wlan.hostname())
# print('Wlan maxPow:', wlan.max_tx_power())
# print('Wlan AP    :', wlan.joined_ap_info())

print('             Set NTP -> RTC')
Date, Time = timing.RTCget()
print('RTC alt    :', Date, Time, rtc.now())
rtcdatetime = timing.RTCsetNTP()
print('RTC NTP    : Set from NTP to UTC', rtcdatetime )
Date, Time = timing.RTCget()
print('RTC UTC    :', Date, Time, rtc.now())
Date, Time = timing.GetCEST()
print('RTC CEST   :', Date, Time)

""" Messen                                                     """
