
from machine import ADC
import utime

adc = ADC(0)

#for cycles in range(100): # stop after x cycles
""" Messen                                                     """
countanf =   1
countmax =  20
for count in range(countanf, countmax+1):
    print("{:3d}/{:3d} ".format(count, countmax), end='  ')
    adw = adc.channel(pin='P16',attn=ADC.ATTN_11DB)  #  max. 3.7 V
    wert = adw()
    print('VBATT:', wert, end=' ')
    ist  = 2640  # Wert des ADW
    soll = 4440  # Sollausgabe in mV
    volt = wert * (soll / ist)
    print('Volt:', round(volt/1000,2), 'V' )

    utime.sleep(1)
